package com.ruoyi.ss.wifi.service;

import com.ruoyi.ss.wifi.domain.Wifi;
import com.ruoyi.ss.wifi.domain.WifiQuery;
import com.ruoyi.ss.wifi.domain.WifiVO;

import java.util.List;

/**
 * wifiService接口
 *
 * @author qzz
 * @date 2025-01-06
 */
public interface IWifiService
{
    /**
     * 查询wifi
     *
     * @param wifiId wifi主键
     * @return wifi
     */
    public WifiVO selectWifiByWifiId(Long wifiId);

    /**
     * 查询wifi列表
     *
     * @param wifi wifi
     * @return wifi集合
     */
    public List<WifiVO> selectWifiList(WifiQuery wifi);

    /**
     * 新增wifi
     *
     * @param wifi wifi
     * @return 结果
     */
    public int insertWifi(Wifi wifi);

    /**
     * 修改wifi
     *
     * @param wifi wifi
     * @return 结果
     */
    public int updateWifi(Wifi wifi);

    /**
     * 批量删除wifi
     *
     * @param wifiIds 需要删除的wifi主键集合
     * @return 结果
     */
    public int deleteWifiByWifiIds(Long[] wifiIds);

    /**
     * 删除wifi信息
     *
     * @param wifiId wifi主键
     * @return 结果
     */
    public int deleteWifiByWifiId(Long wifiId);
}
